Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.naming
Interface ObjectNamingStrategy

All Known Implementing Classes:
  IdentityNamingStrategy, KeyNamingStrategy, MetadataNamingStrategy

    public interface ObjectNamingStrategy

Strategy interface that encapsulates the creation of `ObjectName` instances.

Used by the `MBeanExporter` to obtain `ObjectName`s when registering beans.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MBeanExporter`, `ObjectName`

Method Summary
`ObjectName` | `getObjectName(Object managedBean, String beanKey)` Obtain an `ObjectName` for the supplied bean.

Method Detail

### getObjectName

    ObjectName getObjectName(Object managedBean,
                             String beanKey)
                             throws MalformedObjectNameException

  Obtain an `ObjectName` for the supplied bean.

  Parameters:
    `managedBean` - the bean that will be exposed under the returned `ObjectName`
    `beanKey` - the key associated with this bean in the beans map passed to the `MBeanExporter`
  Returns:
    the `ObjectName` instance
  Throws:
    `MalformedObjectNameException` - if the resulting `ObjectName` is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD